summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSøren Sandmann Pedersen <sandmann@daimi.au.dk>2005-07-05 22:51:10 +0000
committerSøren Sandmann Pedersen <sandmann@daimi.au.dk>2005-07-05 22:51:10 +0000
commitbc737d5ade74d17b7b7af4d83b3a03cd570061c3 (patch)
tree86c65698d702a736d41cc0129f0b5051ee5e92d0 /autogen.sh
parent208df1618f1509e8a3ffc2677a60a3bb0a98d4ca (diff)
Add build systems for xlogo, xlsatoms, xlsclients, xmag, xman, xmessage,
xmh, xmore. lib/Xaw/xaw.m4: Add an AM_CONDITIONAL and a shell variable xaw_use_xprint symlink.sh: add some extra files for xgc, xinit, xkbcomp, xlogo, xmb, and xmodmap xc/programs/xmore/xmore.c: Conditionalize use of xprint
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e81f989
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+